Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class ConfidentialityType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.ConfidentialityType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class ConfidentialityType extends Object implements Serializable
to restrict the list of healthcare parties allowed to access to the content of the parent element

Java class for confidentialityType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="confidentialityType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="hcparty" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}hcpartyType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfidentialityType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<HcpartyType>`
  `getHcparties()`
  to identify a healthcare professional, organisation or medical specialty.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConfidentialityType

    public ConfidentialityType()

- ## Method Details

  - ### getHcparties

    public List<HcpartyType> getHcparties()
    to identify a healthcare professional, organisation or medical specialty. Gets the value of the hcparties property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hcparties property.

    For example, to add a new item, do as follows:

         getHcparties().add(newItem);

    Objects of the following type(s) are allowed in the list `HcpartyType`

    Returns:
      The value of the hcparties property.